# Kiteworks API — scim Operations

**15 endpoints** | [Browse interactive reference](https://developer.kiteworks.com/api-reference/scim.html) | [Download spec slice](https://developer.kiteworks.com/assets/specs/scim.json)

> **Authentication required.** All requests must include a Bearer access token in the
> `Authorization` header. See [Authentication](https://developer.kiteworks.com/authentication.md) for how to
> obtain a token using OAuth 2.0 Authorization Code (PKCE) or JWT Bearer flow.

---

## GET /rest/scim/users

**Summary:** Retrieve users

### Description:
  Returns a paginated list of SCIM users matching the specified filter criteria.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  A list of SCIM users is returned.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `attributes` | query | no | Comma-separated list of attribute names to include in the response. |
| `excludedAttributes` | query | no | Comma-separated list of attribute names to exclude from the response. |
| `filter` | query | no | SCIM filter expression to narrow the list of returned users (e.g., `userName eq "user@example.com"`). |
| `sortBy` | query | no | Attribute name to sort results by. |
| `sortOrder` | query | no | Sort direction for the results. `ascending` – Sort in ascending order. `descending` – Sort in descending order. |
| `startIndex` | query | no | 1-based index of the first result to return, used for pagination. |
| `count` | query | no | Maximum number of results to return per page (maximum: 1,000,000). |

**Responses:**

| Code | Description |
|------|-------------|
| 200 | The users are returned successfully. |
| 400 | Bad request. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/users" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/users"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
```

---

## POST /rest/scim/users

**Summary:** Create a user

### Description:
  Creates a new SCIM user with the specified attributes.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The newly created user is returned.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `attributes` | query | no | Comma-separated list of attribute names to include in the response. |
| `excludedAttributes` | query | no | Comma-separated list of attribute names to exclude from the response. |

**Request Body:**

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `schemas` | string[] | yes | List of SCIM schema URNs applicable to this resource. Must include `urn:ietf:params:scim:schemas:core:2.0:User`. |
| `password` | string | no | The user's password. |
| `displayName` | string | no | The user's display name. Must not contain `<` or `>` characters. |
| `userType` | string | no | The user's type identifier (alphanumeric characters, underscores, and hyphens only). |
| `phoneNumbers` | ScimMultiValueMobile[] | no | List of phone numbers associated with the user. |
| `roles` | ScimMultiValue[] | no | List of roles assigned to the user. At most one role may be specified. |
| `userName` | string | yes | The user's email address, used as the unique username. |
| `notify` | boolean | no | If true, sends a notification email to the user upon account creation. |
| `userMustChange` | boolean | no | If true, requires the user to change their password on first login. |

**Responses:**

| Code | Description |
|------|-------------|
| 201 | The user is created successfully. |
| 400 | Bad request. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 409 | Conflict. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/scim/users" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "schemas": [
         "string"
       ],
         "password": "string",
         "displayName": "string",
         "userType": "string",
         "phoneNumbers": [
         {
         "primary": true,
         "value": "string",
         "type": "string"
       }
       ],
         "roles": [
         {
         "value": "string"
       }
       ]
       }'
```

**Python:**

```python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/users"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "schemas": [
  "string"
],
  "password": "string",
  "displayName": "string",
  "userType": "string",
  "phoneNumbers": [
  {
  "primary": true,
  "value": "string",
  "type": "string"
}
],
  "roles": [
  {
  "value": "string"
}
]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
```

---

## GET /rest/scim/Users

**Summary:** Retrieve users

### Description:
  Returns a paginated list of SCIM users matching the specified filter criteria.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  A list of SCIM users is returned.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `attributes` | query | no | Comma-separated list of attribute names to include in the response. |
| `excludedAttributes` | query | no | Comma-separated list of attribute names to exclude from the response. |
| `filter` | query | no | SCIM filter expression to narrow the list of returned users (e.g., `userName eq "user@example.com"`). |
| `sortBy` | query | no | Attribute name to sort results by. |
| `sortOrder` | query | no | Sort direction for the results. `ascending` – Sort in ascending order. `descending` – Sort in descending order. |
| `startIndex` | query | no | 1-based index of the first result to return, used for pagination. |
| `count` | query | no | Maximum number of results to return per page (maximum: 1,000,000). |

**Responses:**

| Code | Description |
|------|-------------|
| 200 | The users are returned successfully. |
| 400 | Bad request. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/Users" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/Users"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
```

---

## POST /rest/scim/Users

**Summary:** Create a user

### Description:
  Creates a new SCIM user with the specified attributes.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The newly created user is returned.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `attributes` | query | no | Comma-separated list of attribute names to include in the response. |
| `excludedAttributes` | query | no | Comma-separated list of attribute names to exclude from the response. |

**Request Body:**

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `schemas` | string[] | yes | List of SCIM schema URNs applicable to this resource. Must include `urn:ietf:params:scim:schemas:core:2.0:User`. |
| `password` | string | no | The user's password. |
| `displayName` | string | no | The user's display name. Must not contain `<` or `>` characters. |
| `userType` | string | no | The user's type identifier (alphanumeric characters, underscores, and hyphens only). |
| `phoneNumbers` | ScimMultiValueMobile[] | no | List of phone numbers associated with the user. |
| `roles` | ScimMultiValue[] | no | List of roles assigned to the user. At most one role may be specified. |
| `userName` | string | yes | The user's email address, used as the unique username. |
| `notify` | boolean | no | If true, sends a notification email to the user upon account creation. |
| `userMustChange` | boolean | no | If true, requires the user to change their password on first login. |

**Responses:**

| Code | Description |
|------|-------------|
| 201 | The user is created successfully. |
| 400 | Bad request. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 409 | Conflict. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/scim/Users" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "schemas": [
         "string"
       ],
         "password": "string",
         "displayName": "string",
         "userType": "string",
         "phoneNumbers": [
         {
         "primary": true,
         "value": "string",
         "type": "string"
       }
       ],
         "roles": [
         {
         "value": "string"
       }
       ]
       }'
```

**Python:**

```python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/Users"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "schemas": [
  "string"
],
  "password": "string",
  "displayName": "string",
  "userType": "string",
  "phoneNumbers": [
  {
  "primary": true,
  "value": "string",
  "type": "string"
}
],
  "roles": [
  {
  "value": "string"
}
]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
```

---

## GET /rest/scim/users/{id}

**Summary:** Return a user

### Description:
  Returns the SCIM user corresponding to the provided ID.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The user is returned.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `id` | path | yes | The unique identifier (UUID) of the entity. |
| `attributes` | query | no | Comma-separated list of attribute names to include in the response. |
| `excludedAttributes` | query | no | Comma-separated list of attribute names to exclude from the response. |

**Responses:**

| Code | Description |
|------|-------------|
| 200 | The user is returned successfully. |
| 400 | Bad request. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
```

---

## PUT /rest/scim/users/{id}

**Summary:** Update a user

### Description:
  Updates the SCIM user corresponding to the provided ID.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The updated user is returned.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `id` | path | yes | The unique identifier (UUID) of the entity. |

**Request Body:**

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `schemas` | string[] | yes | List of SCIM schema URNs applicable to this resource. Must include `urn:ietf:params:scim:schemas:core:2.0:User`. |
| `password` | string | no | The user's password. |
| `displayName` | string | no | The user's display name. Must not contain `<` or `>` characters. |
| `userType` | string | no | The user's type identifier (alphanumeric characters, underscores, and hyphens only). |
| `phoneNumbers` | ScimMultiValueMobile[] | no | List of phone numbers associated with the user. |
| `roles` | ScimMultiValue[] | no | List of roles assigned to the user. At most one role may be specified. |
| `active` | boolean | no | If true, activates the user account; if false, deactivates it. |
| `userTypeDemotionOptions` | object | no | Data retention options to apply when the user type is demoted. |

**Responses:**

| Code | Description |
|------|-------------|
| 200 | The user is updated and returned successfully. |
| 401 | ERR_AUTH_INVALID_CSRF  ERR_AUTH_UNAUTHORIZED |
| 404 | ERR_ENTITY_NOT_FOUND |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X PUT \
  "https://{instance}.kiteworks.com/rest/scim/users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "schemas": [
         "string"
       ],
         "password": "string",
         "displayName": "string",
         "userType": "string",
         "phoneNumbers": [
         {
         "primary": true,
         "value": "string",
         "type": "string"
       }
       ],
         "roles": [
         {
         "value": "string"
       }
       ]
       }'
```

**Python:**

```python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "schemas": [
  "string"
],
  "password": "string",
  "displayName": "string",
  "userType": "string",
  "phoneNumbers": [
  {
  "primary": true,
  "value": "string",
  "type": "string"
}
],
  "roles": [
  {
  "value": "string"
}
]
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())
```

---

## DELETE /rest/scim/users/{id}

**Summary:** Delete a user

### Description:
  Deletes the SCIM user corresponding to the provided ID.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The user is deleted.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `id` | path | yes | The unique identifier (UUID) of the entity. |
| `remoteWipe` | query | no | If true, triggers a remote wipe of the user data from all registered devices. |
| `deleteUnsharedData` | query | no | If true, permanently deletes data that is not shared with other users. |
| `retainData` | query | no | If true, retains the user data after deletion. |
| `retainPermissionToSharedData` | query | no | If true, the specified `retainToUser` will retain access to shared data. |
| `retainToUser` | query | no | UUID of the user who will receive ownership of the deleted user data. |

**Responses:**

| Code | Description |
|------|-------------|
| 204 | The user is deleted successfully. |
| 400 | Bad request. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X DELETE \
  "https://{instance}.kiteworks.com/rest/scim/users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.delete(url, headers=headers)
print(response.json())
```

---

## GET /rest/scim/Users/{id}

**Summary:** Return a user

### Description:
  Returns the SCIM user corresponding to the provided ID.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The user is returned.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `id` | path | yes | The unique identifier (UUID) of the entity. |
| `attributes` | query | no | Comma-separated list of attribute names to include in the response. |
| `excludedAttributes` | query | no | Comma-separated list of attribute names to exclude from the response. |

**Responses:**

| Code | Description |
|------|-------------|
| 200 | The user is returned successfully. |
| 400 | Bad request. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/Users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/Users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
```

---

## PUT /rest/scim/Users/{id}

**Summary:** Update a user

### Description:
  Updates the SCIM user corresponding to the provided ID.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The updated user is returned.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `id` | path | yes | The unique identifier (UUID) of the entity. |

**Request Body:**

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `schemas` | string[] | yes | List of SCIM schema URNs applicable to this resource. Must include `urn:ietf:params:scim:schemas:core:2.0:User`. |
| `password` | string | no | The user's password. |
| `displayName` | string | no | The user's display name. Must not contain `<` or `>` characters. |
| `userType` | string | no | The user's type identifier (alphanumeric characters, underscores, and hyphens only). |
| `phoneNumbers` | ScimMultiValueMobile[] | no | List of phone numbers associated with the user. |
| `roles` | ScimMultiValue[] | no | List of roles assigned to the user. At most one role may be specified. |
| `active` | boolean | no | If true, activates the user account; if false, deactivates it. |
| `userTypeDemotionOptions` | object | no | Data retention options to apply when the user type is demoted. |

**Responses:**

| Code | Description |
|------|-------------|
| 200 | The user is updated and returned successfully. |
| 401 | ERR_AUTH_INVALID_CSRF  ERR_AUTH_UNAUTHORIZED |
| 404 | ERR_ENTITY_NOT_FOUND |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X PUT \
  "https://{instance}.kiteworks.com/rest/scim/Users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "schemas": [
         "string"
       ],
         "password": "string",
         "displayName": "string",
         "userType": "string",
         "phoneNumbers": [
         {
         "primary": true,
         "value": "string",
         "type": "string"
       }
       ],
         "roles": [
         {
         "value": "string"
       }
       ]
       }'
```

**Python:**

```python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/Users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "schemas": [
  "string"
],
  "password": "string",
  "displayName": "string",
  "userType": "string",
  "phoneNumbers": [
  {
  "primary": true,
  "value": "string",
  "type": "string"
}
],
  "roles": [
  {
  "value": "string"
}
]
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())
```

---

## DELETE /rest/scim/Users/{id}

**Summary:** Delete a user

### Description:
  Deletes the SCIM user corresponding to the provided ID.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The user is deleted.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `id` | path | yes | The unique identifier (UUID) of the entity. |
| `remoteWipe` | query | no | If true, triggers a remote wipe of the user data from all registered devices. |
| `deleteUnsharedData` | query | no | If true, permanently deletes data that is not shared with other users. |
| `retainData` | query | no | If true, retains the user data after deletion. |
| `retainPermissionToSharedData` | query | no | If true, the specified `retainToUser` will retain access to shared data. |
| `retainToUser` | query | no | UUID of the user who will receive ownership of the deleted user data. |

**Responses:**

| Code | Description |
|------|-------------|
| 204 | The user is deleted successfully. |
| 400 | Bad request. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X DELETE \
  "https://{instance}.kiteworks.com/rest/scim/Users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/Users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.delete(url, headers=headers)
print(response.json())
```

---

## GET /rest/scim/ServiceProviderConfig

**Summary:** Return SCIM service provider configuration

### Description:
  Returns the SCIM service provider configuration, including supported features and authentication schemes.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The service provider configuration is returned.
**Responses:**

| Code | Description |
|------|-------------|
| 200 | The service provider configuration is returned successfully. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/ServiceProviderConfig" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/ServiceProviderConfig"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
```

---

## GET /rest/scim/Schemas

**Summary:** Return SCIM schemas

### Description:
  Returns all supported SCIM schemas.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The supported SCIM schemas are returned.
**Responses:**

| Code | Description |
|------|-------------|
| 200 | The supported SCIM schemas are returned successfully. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/Schemas" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/Schemas"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
```

---

## GET /rest/scim/Schemas/{id}

**Summary:** Return a SCIM schema

### Description:
  Returns the SCIM schema corresponding to the provided ID.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The requested SCIM schema is returned if it exists.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `id` | path | yes | The ID/URN of the schema |

**Responses:**

| Code | Description |
|------|-------------|
| 200 | The requested SCIM schema is returned successfully. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/Schemas/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

id = "VALUE"  # The ID/URN of the schema

url = f"https://{{instance}}.kiteworks.com/rest/scim/Schemas/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
```

---

## GET /rest/scim/ResourceTypes

**Summary:** Return SCIM resource types

### Description:
  Returns all supported SCIM resource types.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The supported SCIM resource types are returned.
**Responses:**

| Code | Description |
|------|-------------|
| 200 | The supported SCIM resource types are returned successfully. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/ResourceTypes" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/ResourceTypes"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
```

---

## GET /rest/scim/ResourceTypes/{id}

**Summary:** Return a SCIM resource type

### Description:
  Returns the SCIM resource type corresponding to the provided ID.
### Precondition:
  The request must be authenticated using a valid SCIM token.
### Response:
  The requested SCIM resource type is returned if it exists.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `id` | path | yes | The ID/URN of the schema |

**Responses:**

| Code | Description |
|------|-------------|
| 200 | The requested SCIM resource type is returned successfully. |
| 401 | Unauthorized. |
| 403 | Forbidden. |
| 490 | Request blocked by WAF |

**Code Samples:**

**cURL:**

```shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/ResourceTypes/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

id = "VALUE"  # The ID/URN of the schema

url = f"https://{{instance}}.kiteworks.com/rest/scim/ResourceTypes/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
```

---
